Subject: RE: [Ltru] Re: Note to RFC editor in initial registry

From: "Addison Phillips" <[email-masked]>
Date: Sat, 24 Sep 2005 17:01:25 -0700

Doug,

I agree with your general idea. I don't see any utility in reconstructing the original registry. The point of the text in the draft, as I recall, was to enable our contemporaries to determine why the initial registry is the way it is, not to enable our descendants to reconstruct the exact registry (a project of dubious value).

The purpose of 'Added' is determining whether a particular subtag was valid as of a particular date. Dates earlier than "Date B" are at best informative: they have no meaning in the context of 3066bis [no subtags were in the registry before the registry was created; some subtags were valid in RFC 3066 tags, and 'Added' can be used to determine which ones were valid as of Date B]. 

The 'Added' date, as presently composed, is useful in at least these two cases:

i. if one wishes to determine if a particular validating tag processor (with a given file-date) supports a particular tag or subtag

ii. if one wishes to create a processor which validates tags as of a particular date (possibly in concert with different mapping values courtesy of the 'Deprecated' date field)

It is useful to point out that the File-Date value may be later than every 'Added' and 'Deprecated' value in the registry. That is, there may not be a date value in the registry equal to the File-Date.

In any case, you don't need to adopt John Klensin's exact words. It seems to me that he was unaware of some of the details of registration and proposed text that seemed fitting. I would suggest that you just modify the proposed wording and we move along. How about:

--
3.  The initial set of subtags in the registry, which were specified by this document, are those records in the IANA registry [IANA-registry] with "Added" field-values before 2005-07-11.  Note that [ltru-registry, Section 3.1] requires that an "Added" field appear in each registration record and that Section 3.3(1) specifies that field must not be changed after registration. (Other fields in these records may have been modified at a later date, subject to the restrictions in Section 3.4 of [ltru-registry].)
--

NB> the date 2005-07-11 is "Date B + 1"

Addison

Addison P. Phillips
Globalization Architect, Quest Software
Chair, W3C Internationalization Core Working Group

Internationalization is not a feature.
It is an architecture. 

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of
> Doug Ewell
> Sent: samedi 24 septembre 2005 16:23
> To: LTRU Working Group
> Cc: John C Klensin
> Subject: [Ltru] Re: Note to RFC editor in initial registry
> 
> Randy Presuhn <randy underscore presuhn at mindspring dot com> wrote:
> 
> > By the way, John Klensin proposed that the note be something like
> >
> > "3.  The initial contents of the registry as specified
> > in this document are those entries in the IANA registry
> > [IANA-registry] with a field-name of "Added" and a value
> > of "2005-07-10".  Note that [ltru-registry, Section 3.1]
> > requires that an "Added" field appear in each
> > registration record and that its Section 3.3(1)
> > specifies that field must not be changed after
> > registration."
> 
> My concern with this is that it goes beyond the original intent of
> restricting the delivery of the initial registry contents to the RFC
> Editor, and reducing the size of draft-initial.  It attempts to explain
> to the reader how she may reconstruct the initial registry on her own.
> Not only do I think this is a non-goal, I can think of two reasons why
> it doesn't work:
> 
> (1)  The redundant and grandfathered tags don't have an "Added" date of
> 2005-07-10 (or whatever the actual pub date is).  Instead, their "Added"
> date is the same as the date the record was added to the RFC 3066
> whole-tag registry.  For example, the "Added" date for i-ami is
> 1999-05-25.  This could be easily fixed by changing John's text to read
> "... and a value no later than '2005-07-10'," being careful to use the
> real cutoff date.
> 
> (2)  More problematic, for purposes of reconstructing the initial
> registry, is the fact that the "Added" date is not changed when a change
> is made to the record, such as adding a "Suppress-Script" field where
> none previously existed.  This is not an "ambiguity," as Ira stated, but
> it does mean that a record with date X might have been modified some
> time after X.  In order to allow reconstruction of a previous version,
> there would have to be a "Last-Modified" field, and no, I am not
> advocating adding such a field at this late date.
> 
> I think we need to decide whether we want draft-initial to be simply a
> means of communicating the initial registry contents to IANA, or also
> allow users at some arbitrary future date to reconstruct the initial
> registry somehow.  If we want to stick to the original intent, then we
> should simply state that the actual initial contents were stripped by
> the RFC Editor to reduce size, prevent misuse, etc. and leave it at
> that.
> 
> --
> Doug Ewell
> Fullerton, California
> http://users.adelphia.net/~dewell/
> 
> 
> 
> _______________________________________________
> Ltru mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ltru
_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

---

From: "Doug Ewell" <[email-masked]>
Date: Sat, 24 Sep 2005 18:43:40 -0700

Addison Phillips <addison dot phillips at quest dot com> wrote:

> In any case, you don't need to adopt John Klensin's exact words. It
> seems to me that he was unaware of some of the details of registration
> and proposed text that seemed fitting. I would suggest that you just
> modify the proposed wording and we move along. How about:
>
> --
> 3.  The initial set of subtags in the registry, which were specified
> by this document, are those records in the IANA registry [IANA-
> registry] with "Added" field-values before 2005-07-11.  Note that
> [ltru-registry, Section 3.1] requires that an "Added" field appear in
> each registration record and that Section 3.3(1) specifies that field
> must not be changed after registration. (Other fields in these records
> may have been modified at a later date, subject to the restrictions in
> Section 3.4 of [ltru-registry].)
> --
>

That's OK with me, except I'm still worried about explicitly specifying
the date.  That gives us (or the RFC Editor) one more opportunity to
forget to update "all" the dates.  How about:

    ... with "Added" field values no later than the date of publication
    of this document.

This assumes that the File-Date and Added dates for subtags (not
grandfathered or redundant tags) in the initial registry, the date of
publication of draft-initial, and the date of publication of
draft-registry are all the same.  I think we have been making that
assumption all along, and need to be able to rely on it.

I would also remove the parentheses from the last sentence, to avoid
de-emphasizing it -- because I think it is important -- and append
something like:

    Because of this, it may not be possible to use a future version of
    the Language Subtag Registry to reconstruct an exact copy of the
    initial registry contents.

Comments?

---

From: "Randy Presuhn" <[email-masked]>
Date: Sat, 24 Sep 2005 18:59:20 -0700

Hi -

As a technical contributor:

> From: "Addison Phillips" <[email-masked]>
> To: "Doug Ewell" <[email-masked]>; "LTRU Working Group" <[email-masked]>
> Cc: "John C Klensin" <[email-masked]>
> Sent: Saturday, September 24, 2005 5:01 PM
> Subject: RE: [Ltru] Re: Note to RFC editor in initial registry
...
> by this document, are those records in the IANA registry [IANA-registry]
> with "Added" field-values before 2005-07-11.  Note that [ltru-registry,
> Section 3.1] requires that an "Added" field appear in each registration
> record and that Section 3.3(1) specifies that field must not be
> changed after registration. (Other fields in these records may have
> been modified at a later date, subject to the restrictions
> in Section 3.4 of [ltru-registry].)
> --
>
...

Just a little word-smithing, and a comment:

--------------
3.  The remainder of this section specified the initial set of subtags
for the registry.  This material was deleted on publication of this
memo, to avoid any confusion with the registry itself [I-D.ietf-ltru-registry].

Each of these initial entries has an "Added" field value prior
to YYYY-MM-DD.  Note that [I-D.ietf-ltru-registry] Section 3.3(1)
specifies that this field must not change after registration.
Other fields in these records may subsequently be modified,
subject to the restrictions in Section 3.4 of [I-D.ietf-ltru-registry].

RFC EDITOR NOTE: the remainder of this section is to be deleted upon publication.
----------------

I think that all is really needed is the first paragraph and the note.
I'll go along with the second paragraph if folks think it's really useful
and necessary, but I'd be happier without it.

Randy

---

From: "Randy Presuhn" <[email-masked]>
Date: Sat, 24 Sep 2005 19:03:08 -0700

Hi -

As a technical contributor...

> From: "Doug Ewell" <[email-masked]>
> To: "LTRU Working Group" <[email-masked]>
> Sent: Saturday, September 24, 2005 6:43 PM
> Subject: Re: [Ltru] Re: Note to RFC editor in initial registry
...
>     ... with "Added" field values no later than the date of publication

I like this a lot.

...

If folks think we need any text on reconstruction, I think this addition
would be an important one.  (I'm still not convinced that we need to say
*anything* about reconstruction, though I'm willing to go along with it.)

Randy